package com.huigou.topsun.sap.priceMasterData.domain;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @TableName bsn_message
 */
@Table(name="bsn_message")
@Entity
@Data
public class BsnMessage implements Serializable {
    /**
     * 
     */
    @Id
    private String id;

    /**
     * 任务描述
     */
    private String title;

    /**
     * 任务执行人
     */
    private String listners;

    /**
     * 业务应用类型
     */
    @Column(name = "business_code")
    private String businessCode;

    /**
     * 业务表单id
     */
    @Column(name = "business_id")
    private String businessId;

    /**
     * 创建日期
     */
    @Column(name = "create_date")
    private Date createDate;

    /**
     * 完成日期
     */
    @Column(name = "finished_date")
    private Date finishedDate;

    /**
     * 完成状态（默认为未完成：0，完成为：1，保存未分发：2）
     */
    private Integer active;

    private static final long serialVersionUID = 1L;
}