let gridManager = null;
//页面控制标识
let control = {
    isInitiator: false,//是否为审核人
    isDistribute: false,//是否已分发
}

$(document).ready(function () {
    initializate()
    loadGrid();
    // initAssistantGrid();
    loadRejectReasonBox();
})


function initializate() {

    // let isInitiator = ($("#isInitiator").val() === "true");
    // if (isInitiator) {
    //     //创建或审核人
    //     $("#buttonBox").remove();
    // }else{
    //     //审核人
    //     $("#auditForm").remove();
    // }


    // $('input[name="maintenanceType"]').change(function () {
    //     if ($(this).is(':checked')) {
    //         console.log($(this).val()); // 输出选中的值
    //         switch ($(this).val()) {
    //             case 'new':
    //                 if ($("#mtart").val() == "ZMPN") {
    //                     UICtrl.enable($("#matnr"));
    //                 } else {
    //                     UICtrl.disable($("#matnr"));
    //                 }
    //                 UICtrl.disable($("#lvorm"));
    //                 UICtrl.enable($("#mtart"));
    //                 UICtrl.enable($("#matkl"));
    //                 UICtrl.enable($("#spart"));
    //                 break;
    //             case 'modify':
    //                 UICtrl.enable($("#lvorm"))
    //                 UICtrl.disable($("#mtart"));
    //                 UICtrl.disable($("#matkl"));
    //                 UICtrl.disable($("#spart"));
    //                 break;
    //             case 'extend':
    //                 UICtrl.enable($("#lvorm"))
    //                 UICtrl.disable($("#mtart"));
    //                 UICtrl.disable($("#matkl"));
    //                 UICtrl.disable($("#spart"));
    //                 break;
    //         }
    //     }
    // });
    //
    // $('input[name="businessUsage"]').change(function () {
    //     if ($(this).is(":checked")) {
    //         console.log($(this).val()); // 输出选中的值
    //     }
    // });

}


/**
 * 初始化对应的分发部门
 */
function loadGrid() {
    let coRowNum = $("#businessUsage").val().replace(/,/g, '') + 1;
    // let length = dept.length;
    // let dept=$("#businessUsage").val().split(",");
    // let a=(dept.length+1)*37.5;
    gridManager = UICtrl.grid("#businessPersonnelListGrid", {
        columns: [
            {display: "部门", name: "deptName", width: 200, minWidth: 60, type: "string", align: "left"},
            {
                display: "部门人员", name: "userName", width: 200, minWidth: 60, type: "string", align: "left",
                editor: {
                    type: 'tree',
                    required: true,
                    data: {
                        name: 'org',
                        filter: 'psm',
                        minWidth: 250
                    },
                    textField: 'userName',
                    valueField: 'userCode'
                }
                // editor: {
                //     required: true, type: "select",
                //     data: {
                //         type: 'system',
                //         name: "testUser",
                //         back: {
                //             id: "userName",
                //             userCode: "userCode"
                //         },
                //         getParam: function (data) {
                //             return {deptCode: data.deptCode}
                //         },
                //     },
                // }
            },
            {
                display: "人员Id", name: "userCode", width: 200, minWidth: 60, type: "string", align: "left",
                editor: {
                    type: 'text',
                    required: true
                }
            },
        ],
        dataAction: "server",
        url: web_app.name + '/sapNonProdApplyNext/slicedDeptList.ajax',
        parms: {dept: $("#businessUsage").val()},
        pageSize: 20,
        usePager: false,
        enabledEdit: true,
        width: "100%",
        height: coRowNum * 37.5,
        heightDiff: -8,
        fixedCellHeight: true,
        selectRowButtonOnly: true,
    });
    UICtrl.setSearchAreaToggle(gridManager);
}


/**
 * 表单提交
 * @returns {boolean}
 */
function saveForm() {
    debugger
    let extendedData = getExtendedData();
    if (!extendedData) return false;
    var _self = this;
    $('#submitForm').ajaxSubmit({
        url: web_app.name + '/sapNonProdApplyNext/saveSapNonProdApplyDept.ajax',
        param: extendedData,
        success: function (data) {
            $("#applyDeptId").val(data.applyDeptId);
            Public.successTip("保存成功！");
            _self.close();
        }
    });
}

/**
 * 分发表单到各个部门
 */
function distributeForm() {
    if (control.isDistribute) {
        Public.successTip("已分发");
        return false;
    }
    let extendedData = getExtendedData();
    if (!extendedData) return false;
    $('#submitForm').ajaxSubmit({
        url: web_app.name + '/sapNonProdApplyNext/distributeSapNonProdApplyDept.ajax',
        param: extendedData,
        success: function (data) {
            Public.successTip("分发成功！");
            control.isDistribute = true;
            _self.close();
        }
    });
}


function getExtendedData() {

    debugger
    let msg = "[";
    let isUndefined = false


    let deptStaffResult = DataUtil.getGridData({
        gridManager: gridManager,
        isAllData: true,
        onCheck: function (data) {
            if (typeof data.userCode === 'undefined') {
                msg += `${data.deptName}、`;
                isUndefined = true;
            }
            return true;
        }
    });

    if (isUndefined) {
        Public.tip(`${msg.slice(0, -1)}]未选择对应分发人员`);
        return false
    }
    let extendedData = {};
     extendedData.deptStaff = Public.encodeJSONURI(deptStaffResult);
    return extendedData;
}


function rejectForm() {
    $('#auditForm').ajaxSubmit({
        url: web_app.name + '/sapNonProdApplyNext/distributeSapNonProdApplyDept.ajax',
        param: {},
        success: function (data) {
            Public.successTip("已驳回！");
            _self.close();
        }
    });

}


/**
 * 根据选择的驳回的部门生成输入框
 */
function loadRejectReasonBox() {
    $('input[name="bu2"]').change(function () {
            let val = $(this).val()
            let textData = $(this).parent().text().trim()
            if (this.checked) {
                if ($(`#id_${val}`).length) {
                    // 元素存在
                    $(`#id_${val}`).show();
                } else {
                    // 元素不存在
                    let box = `<div id="id_${val}">
                            <div class="col-xs-4 col-sm-2" style="height:60px;">
                                <label class="hg-form-label" name="text_${val}" title="[${textData}]驳回原因">[${textData}]驳回原因&nbsp;:</label>
                             </div>
                             <div class="col-xs-8 col-sm-10 col-warp col-white-bg" style="height:60px;">
                                <textarea name="text_${val}"  label="[${textData}]驳回原因" id="text_${val}"></textarea>
                             </div>
                        </div>`;
                    $("#rejectReasonBox").append(box)
                }
                $(window).scrollTop($(document).height());
            } else {
                $(`#id_${val}`).hide();
            }
        }
    );
}